#!/usr/bin/perl
#
#    WMD - A tool for miRNA target search and amiRNA design
#
#    Test program for WMD3 classes
#    Version 3.1
#
#    Authors: Stephan Ossowski, Joffrey Fitz, Markus Riester
#    Copyright (C) 2005-2009 by Max Planck Institute for Developmental Biology, Tuebingen.
##########################################################################################

use AmiRNA::Config::ConfigParser;

my $cp = AmiRNA::Config::ConfigParser->new();

print "\nContent of config file:\n\n";
print "Index path:                                   " . $cp->get_index_path() . "\n";
print "Tmp path:                                     " . $cp->get_tmp_path() . "\n";
print "Executable path of mapping tool:              " . $cp->get_executable_path("mapping") . "\n";
print "Executable name of mapping tool:              " . $cp->get_executable_name("mapping") . "\n";
print "Executable path of ViennaRNA:                 " . $cp->get_executable_path("folding") . "\n";
print "DB engine:                                    " . $cp->get_db_engine() . "\n";
print "DB dsn:                                       " . $cp->get_db_dsn() . "\n";
print "DB user:                                      " . $cp->get_db_user() . "\n";
print "DB passwd:                                    " . $cp->get_db_passwd() . "\n";
print "Maximum number of jobs in queue:              " . $cp->get_mjn() . "\n";
print "Maximum number of jobs per IP:                " . $cp->get_mci() . "\n";
print "Maximum number of jobs per email address:     " . $cp->get_mce() . "\n";


print "\n\nFinished test of ConfigParser and config file. Test was successful if you see correct config parameters in each line.\n\n";
exit(0);

