package WMD3::WebApp::Error;

###############################################################################
#
# WMD3::WebApp::Error
#
# Version 3.1
#
# Author: Joffrey Fitz <joffrey.fitz@tuebingen.mpg.de>
#
# Copyright (c) 2008 Max Planck Institute for Developmental Biology, 
# 	http://www.eb.tuebingen.mpg.de
#
# This program is free software; you can redistribute it and/or modify it                        
# under the terms of the GNU General Public License as published by the Free                     
# Software Foundation; either version 2, or (at your option) any later 
# version.
#
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
# for more details.
#
###############################################################################

use strict;
use warnings;

require      Exporter;
use Data::Dumper;

our @ISA       = qw(Exporter);
our @EXPORT    = qw(process_error );



##############################################################################
#
# process_error()
#
#	Reports errors ($@) to STDERR and returns human readable error
#	message for on screen display.
#
##############################################################################
sub process_error {
	print STDERR  $@->{'errno'} . ": " . $@->{'subject'} . "\n@ ";
	foreach my $x (@{ $@->{'chain'} } ) { 
		foreach my $y ( @{ $x } ) { print STDERR "$y\n"; }
	}
# 	print STDERR $@;
	
	return '<span class="error">Error: ' . $@->{'msg'} . '</span>';
}


1;

















