package WMD3::Plugins::Blast::Backend;

###############################################################################
#
# Blast::Backend
#
# Version 3.1
#
# Author: Joffrey Fitz <joffrey.fitz@tuebingen.mpg.de>
#		  Stephan Ossowski <stephan.ossowski@tuebingen.mpg.de>
#         Markus Riester
#		  
# Copyright (c) 2008 Max Planck Institute for Developmental Biology, 
# 	http://www.eb.tuebingen.mpg.de
#
# This program is free software; you can redistribute it and/or modify it                        
# under the terms of the GNU General Public License as published by the Free                     
# Software Foundation; either version 2, or (at your option) any later 
# version.
#
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
# for more details.
#
###############################################################################

use strict;
use warnings;

require Exporter;

use AmiRNA::TargetSearch::SearchOptions;
use AmiRNA::TargetSearch::Vmatch;
use AmiRNA::TargetSearch::GenomeMapper;
use WMD3::WebApp::Error;
use File::Temp;

our @ISA	= qw(Exporter);
our @EXPORT	= qw(blast);


##############################################################################
#
# blast()
#
##############################################################################

sub blast {
	my $self = shift;
	my (%user_param) = @_;
	
	my $html;
	
	my $database = $user_param{'transcript_library'};
	my $blast_seq = $user_param{'fasta'};
	my $num_align = 50; my $num_desc = 10; my $eval = 1e-5;

	my $tmp = new File::Temp(DIR => '/tmp/', SUFFIX => '');
	my $filename = $tmp->filename;
	open FILE, ">$filename";
	print FILE "$blast_seq\n";
	close FILE;

	my $blast_db = $self->{conf}{blast}{db_location};
	my $cmd = "blastall -p blastn -d $blast_db/$database -i $filename -F F -e $eval -b $num_align -v $num_desc -o $filename.bln";
	`blastall -p blastn -d $blast_db/$database -i $filename -F F -e $eval -b $num_align -v $num_desc -o $filename.bln`;

	open FILEOUT, "$filename.bln";
	my @blastout = <FILEOUT>;
	
	$html .= "<pre>";
# 	$html .= "<div style=\"overflow:auto\">$cmd</div>";
	$html .= join "", @blastout;
	$html .= "</pre>";
	
	return $html;
}

1;